/*
Dashboard Activation Events
http://developer.apple.com/documentation/AppleApplications/Conceptual/Dashboard_Tutorial/Events/chapter_6_section_2.html#//apple_ref/doc/uid/TP40001340-CH206-DontLinkElementID_9

A widget can know when Dashboard is active. When Dashboard is hidden, your widget should not consume any CPU time or network resources. Assign methods to the properties widget.onshow and widget.onhide to notify your widget that Dashboard is active. For example, the World Clock widget assigns functions for starting and halting the display of time.
*/

MinimumClockTimer = null;

if (window.widget){
	widget.onshow = onshow;
	widget.onhide = onhide;
}

//When Dashboard is shown, onshow is called. This function sets a timer in motion:

function onshow () {
	if (MinimumClockTimer == null) {
		setMinimumClock();
		refleshCaleder();
		MinimumClockTimer = setInterval("setMinimumClock();", 1000);
		refleshCalederTimer = setInterval("refleshCaleder();", 60000);
	}
}

//When Dashboard is hidden, onhide halts the timer:

function onhide () {
	if (MinimumClockTimer != null) {
		clearInterval(MinimumClockTimer);
		clearInterval(refleshCalederTimer);
		MinimumClockTimer = null;
	}
}